Bullet Collision Detection & Physics Library: btSoftBody::Node Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btSoftBody::Node Struct Reference

`#include <btSoftBody.h>`

Inheritance diagram for btSoftBody::Node:
[legend]
Collaboration diagram for btSoftBody::Node:
[legend]

## Public Attributes
btVector3 | m_x
btVector3 | m_q
btVector3 | m_v
btVector3 | m_vn
btVector3 | m_f
btVector3 | m_n
btScalar | m_im
btScalar | m_area
btDbvtNode * | m_leaf
int | m_constrained
int | m_battach: 1
int | index
btVector3 | m_splitv
btMatrix3x3 | m_effectiveMass
btMatrix3x3 | m_effectiveMass_inv
Public Attributes inherited from btSoftBody::Feature
Material * | m_material
Public Attributes inherited from btSoftBody::Element
void * | m_tag

## Additional Inherited Members
Public Member Functions inherited from btSoftBody::Element
| Element ()

## Detailed Description

Definition at line 267 of file btSoftBody.h.

## Member Data Documentation

## ◆ index

int btSoftBody::Node::index

Definition at line 280 of file btSoftBody.h.

## ◆ m_area

btScalar btSoftBody::Node::m_area

Definition at line 276 of file btSoftBody.h.

## ◆ m_battach

int btSoftBody::Node::m_battach

Definition at line 279 of file btSoftBody.h.

## ◆ m_constrained

int btSoftBody::Node::m_constrained

Definition at line 278 of file btSoftBody.h.

## ◆ m_effectiveMass

btMatrix3x3 btSoftBody::Node::m_effectiveMass

Definition at line 282 of file btSoftBody.h.

## ◆ m_effectiveMass_inv

btMatrix3x3 btSoftBody::Node::m_effectiveMass_inv

Definition at line 283 of file btSoftBody.h.

## ◆ m_f

btVector3 btSoftBody::Node::m_f

Definition at line 273 of file btSoftBody.h.

## ◆ m_im

btScalar btSoftBody::Node::m_im

Definition at line 275 of file btSoftBody.h.

## ◆ m_leaf

btDbvtNode* btSoftBody::Node::m_leaf

Definition at line 277 of file btSoftBody.h.

## ◆ m_n

btVector3 btSoftBody::Node::m_n

Definition at line 274 of file btSoftBody.h.

## ◆ m_q

btVector3 btSoftBody::Node::m_q

Definition at line 270 of file btSoftBody.h.

## ◆ m_splitv

btVector3 btSoftBody::Node::m_splitv

Definition at line 281 of file btSoftBody.h.

## ◆ m_v

btVector3 btSoftBody::Node::m_v

Definition at line 271 of file btSoftBody.h.

## ◆ m_vn

btVector3 btSoftBody::Node::m_vn

Definition at line 272 of file btSoftBody.h.

## ◆ m_x

btVector3 btSoftBody::Node::m_x

Definition at line 269 of file btSoftBody.h.

The documentation for this struct was generated from the following file:

- btSoftBody.h